var windowId,sysUrl = top.sysUrl,toEdit;
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	/*
	$('#xx5').combobox({  
		url:'xtclAction!query_Xtcl.do?csdl=xx5&page=1&rows=1000', 
		textField:"csmc",  
		valueField:"csdm",
		panelWidth:148,
		loadFilter:function(data){
			//data.unshift({"csmc":"选择","csdm":""});
			return data;
		}
	});
	$("#xx6").textbox("setValue",records.xx6);
	$("#xx7").combobox("setValue",records.xx7);
	$("#xx8").combobox("setValue",records.xx8);
	$("#xx9").datetimebox("setValue",$.getNowTime());
	$("#xx10").datetimebox("setValue",$.getTodayStart('00:00:00',-3));//往前推3天  +'00:00:00'
	$("#xx11").datetimebox("setValue",$.getTodayEnd());//当天 +'23:59:59'	
	$("#xx12").datetimebox("setValue",$.getDateNumToStr(records.xx12));
	$("#xx13").numberbox("setValue",records.xx13);
	*/
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
	sParam.LIKEledmc = $('#LIKEledmc').textbox("getValue");
	sParam.LIKEledbh = $('#LIKEledbh').textbox("getValue");
//	sParam.LIKEsccs = $('#LIKEsccs').textbox("getValue");
	sParam.LIKEpp = $('#LIKEpp').textbox("getValue");
	/*
	sParam.LIKExh = $('#LIKExh').textbox("getValue");
	sParam.LIKEggxh = $('#LIKEggxh').textbox("getValue");
	sParam.LIKEqybh = $('#LIKEqybh').textbox("getValue");
	sParam.LIKEqymc = $('#LIKEqymc').textbox("getValue");
	sParam.LIKElkh = $('#LIKElkh').textbox("getValue");
	sParam.LIKElkmc = $('#LIKElkmc').textbox("getValue");
	sParam.LIKElkxw = $('#LIKElkxw').textbox("getValue");
	sParam.LIKEazsj = $('#LIKEazsj').textbox("getValue");
	sParam.LIKEazdw = $('#LIKEazdw').textbox("getValue");
	sParam.LIKEqdfs = $('#LIKEqdfs').textbox("getValue");
	sParam.LIKEsszbx = $('#LIKEsszbx').textbox("getValue");
	sParam.LIKEjd = $('#LIKEjd').textbox("getValue");
	sParam.LIKEwd = $('#LIKEwd').textbox("getValue");
	sParam.LIKExhdjj = $('#LIKExhdjj').textbox("getValue");
	sParam.LIKEcjry = $('#LIKEcjry').textbox("getValue");
	sParam.LIKEcjrq = $('#LIKEcjrq').textbox("getValue");
	sParam.LIKExgry = $('#LIKExgry').textbox("getValue");
	sParam.LIKExgrq = $('#LIKExgrq').textbox("getValue");
	sParam.LIKEbz = $('#LIKEbz').textbox("getValue");
	sParam.LIKEkz1 = $('#LIKEkz1').textbox("getValue");
	sParam.LIKEkz2 = $('#LIKEkz2').textbox("getValue");
	sParam.LIKEkz3 = $('#LIKEkz3').textbox("getValue");
	sParam.LIKEkz4 = $('#LIKEkz4').textbox("getValue");

	*/
	/*
	var xx1 = $("#xx1").textbox("getValue");//文本
	var xx2 = $("#xx2").combobox("getValue");//下拉
	var xx3 = $("#xx3").datetimebox("getValue");//日期
	var xx4 = $("#xx4").numberbox("getValue");//数字
	var LIKEtime1 = $('#LIKEtime1').datetimebox("getValue");	
	var LIKEtime2 = $('#LIKEtime1').datetimebox("getValue");	
	var tableparam = "";
	if(!(LIKEtime1==null||LIKEtime1==""||LIKEtime1==undefined)){
		tableparam += " AND time > '" +LIKEtime1 + "'";
	}
	if(!(LIKEtime2==null||LIKEtime2==""||LIKEtime2==undefined)){
		tableparam += " AND time < '" +LIKEtime2 + "'";
	}
	sParam.tableparam = tableparam;
	*/
	sParam.order = "order by cjrq desc ";
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete
    }/*,{
        text	:	'模板',
        iconCls	:	'icon-export-excel',
        handler	:	doTemplate
    },{
        text	:	'导入',
        iconCls	:	'icon-update',
        handler	:	doImport
    },{
        text	:	'导出',
        iconCls	:	'icon-download',
        handler	:	doExport
    }*/];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'nhywjtledydpglAction!listNhywjtledydpglByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},/*
		    {field:'xh',title:'xh',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},*/
			{field:'ledmc',title:'led名称',hidden:false,width:120},
			{field:'ledbh',title:'led编号',hidden:false,width:120,
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doDetail(\""+record.xh+"\")'>"+value+"</a>";
				}
			},
			{field:'pp',title:'品牌',hidden:false,width:120},
			{field:'ggxh',title:'规格型号',hidden:false,width:120},
			{field:'qybh',title:'区域编号',hidden:false,width:120},
			{field:'qymc',title:'区域名称',hidden:false,width:120},
			{field:'lkh',title:'路口号',hidden:false,width:120},
			{field:'lkmc',title:'路口名称',hidden:false,width:120},
			{field:'lkxw',title:'路口相位',hidden:false,width:120},
			{field:'qdfs',title:'取电方式',hidden:false,width:120},
			{field:'sccs',title:'生产厂商',hidden:false,width:120},
			{field:'azdw',title:'安装单位',hidden:false,width:120},
			{field:'azsj',title:'安装时间',hidden:false,width:120},
			{field:'sszbx',title:'所属坐标系',hidden:false,width:120},
			{field:'jd',title:'经度',hidden:false,width:120},
			{field:'wd',title:'维度',hidden:false,width:120},
			{field:'xhdjj',title:'led简介',hidden:false,width:120},
			{field:'cjry',title:'创建人员',hidden:true,width:120},
			{field:'cjrq',title:'创建日期',hidden:true,width:120},
			{field:'xgry',title:'修改人员',hidden:true,width:120},
			{field:'xgrq',title:'修改日期',hidden:true,width:120},
			{field:'bz',title:'备注',hidden:true,width:120},
			{field:'kz1',title:'扩展1',hidden:true,width:120},
			{field:'kz2',title:'扩展2',hidden:true,width:120},
			{field:'kz3',title:'扩展3',hidden:true,width:120},
			{field:'kz4',title:'扩展4',hidden:true,width:120}
		]]
	});
}

function doDetail(xh) {
	windowId = top.$.createWin({
		title	: 	'详情信息',
		width	:  	600,
		height	: 	460,
		data   	:   xh,
		url	:	sysUrl+"/yw/nhyw/nhywjtledydpgl/nhywjtledydpgl_show_detail.jsp"
	 });
}

//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'nhywjtledydpglAction!delete_Nhywjtledydpgl.do',
			data:{
				xh	:	selRows.xh

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].xh);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'nhywjtledydpglAction!batch_delete_Nhywjtledydpgl.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(!$.isNull(flag)){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	530,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/nhyw/nhywjtledydpgl/nhywjtledydpgl_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	530,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/nhyw/nhywjtledydpgl/nhywjtledydpgl_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	console.log("增加",model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	if(toEdit){//修改
		model.XGTJxh = jq('#xh').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'nhywjtledydpglAction!update_Nhywjtledydpgl.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'nhywjtledydpglAction!insert_Nhywjtledydpgl.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/yw/nhyw/nhywjtledydpgl/nhywjtledydpgl_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'nhywjtledydpglAction!count_Nhywjtledydpgl.do',
		success : function(value) {
			if(!$.isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'nhywjtledydpglAction!exp_Nhywjtledydpgl.do?'+downParam;
	document.excelForm.submit(); 
}
